RHSA-2008:0135-02 Moderate: tk security update
Posted on: 02/22/2008 07:00 PM

A new update is available for Red Hat Enterprise Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Moderate: tk security update
Advisory ID: RHSA-2008:0135-02
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2008-0135.html
Issue date: 2008-02-21
Updated on: 2008-02-22
CVE Names: CVE-2008-0553 CVE-2007-5378
=====================================================================

1. Summary:

Updated tk packages that fix a security issue are now available for Red Hat
Enterprise Linux 4.

This update has been rated as having moderate security impact by the Red
Hat Security Response Team.

[Updated 22 February 2008]
The packages in this errata were originally pushed to the wrong Red Hat
Network channels and were not available to all users. We have updated this
errata with the correct channels.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Description:

Tk is a graphical toolkit for the Tcl scripting language.

An input validation flaw was discovered in Tk's GIF image handling. A
code-size value read from a GIF image was not properly validated before
being used, leading to a buffer overflow. A specially crafted GIF file
could use this to cause a crash or, potentially, execute code with the
privileges of the application using the Tk graphical toolkit.
(CVE-2008-0553)

A buffer overflow flaw was discovered in Tk's animated GIF image handling.
An animated GIF containing an initial image smaller than subsequent images
could cause a crash or, potentially, execute code with the privileges of
the application using the Tk library. (CVE-2007-5378)

All users are advised to upgrade to these updated packages which contain a
backported patches to resolve these issues.

4. Solution:

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network. Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/FAQ_58_10188

5. Bugs fixed (http://bugzilla.redhat.com/):

332021 - CVE-2007-5378 Tk GIF processing buffer overflow
431518 - CVE-2008-0553 tk: GIF handling buffer overflow

6. Package List:

Red Hat Enterprise Linux AS version 4:

Source:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/tk-8.4.7-3.el4_6.1.src.rpm

i386:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-devel-8.4.7-3.el4_6.1.i386.rpm

ia64:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-8.4.7-3.el4_6.1.ia64.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.ia64.rpm
tk-devel-8.4.7-3.el4_6.1.ia64.rpm

ppc:
tk-8.4.7-3.el4_6.1.ppc.rpm
tk-8.4.7-3.el4_6.1.ppc64.rpm
tk-debuginfo-8.4.7-3.el4_6.1.ppc.rpm
tk-debuginfo-8.4.7-3.el4_6.1.ppc64.rpm
tk-devel-8.4.7-3.el4_6.1.ppc.rpm

s390:
tk-8.4.7-3.el4_6.1.s390.rpm
tk-debuginfo-8.4.7-3.el4_6.1.s390.rpm
tk-devel-8.4.7-3.el4_6.1.s390.rpm

s390x:
tk-8.4.7-3.el4_6.1.s390.rpm
tk-8.4.7-3.el4_6.1.s390x.rpm
tk-debuginfo-8.4.7-3.el4_6.1.s390.rpm
tk-debuginfo-8.4.7-3.el4_6.1.s390x.rpm
tk-devel-8.4.7-3.el4_6.1.s390x.rpm

x86_64:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-8.4.7-3.el4_6.1.x86_64.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.x86_64.rpm
tk-devel-8.4.7-3.el4_6.1.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

Source:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/tk-8.4.7-3.el4_6.1.src.rpm

i386:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-devel-8.4.7-3.el4_6.1.i386.rpm

x86_64:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-8.4.7-3.el4_6.1.x86_64.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.x86_64.rpm
tk-devel-8.4.7-3.el4_6.1.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

Source:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/tk-8.4.7-3.el4_6.1.src.rpm

i386:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-devel-8.4.7-3.el4_6.1.i386.rpm

ia64:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-8.4.7-3.el4_6.1.ia64.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.ia64.rpm
tk-devel-8.4.7-3.el4_6.1.ia64.rpm

x86_64:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-8.4.7-3.el4_6.1.x86_64.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.x86_64.rpm
tk-devel-8.4.7-3.el4_6.1.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

Source:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/tk-8.4.7-3.el4_6.1.src.rpm

i386:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-devel-8.4.7-3.el4_6.1.i386.rpm

ia64:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-8.4.7-3.el4_6.1.ia64.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.ia64.rpm
tk-devel-8.4.7-3.el4_6.1.ia64.rpm

x86_64:
tk-8.4.7-3.el4_6.1.i386.rpm
tk-8.4.7-3.el4_6.1.x86_64.rpm
tk-debuginfo-8.4.7-3.el4_6.1.i386.rpm
tk-debuginfo-8.4.7-3.el4_6.1.x86_64.rpm
tk-devel-8.4.7-3.el4_6.1.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-0553
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5378
http://www.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is lt;secalert@redhat.comgt;. More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2008 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFHvv1eXlSAg2UNWIIRApOwAJ9BD2SX0huPrh3pv5oTT7h0JffS0gCfQF65
85rttpQhbVbqFKQrhZL6jpo=
=5Zpj
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_20080135_02_moderate_tk_security_update.html)